;	pinout definition
;	processor setup

	errorlevel      -302
	errorlevel      -312

	PROCESSOR   PIC16F88
	#include p16f88.inc

cOSCTUNE	EQU	B'00000000'	;
cOSCCON		EQU	B'01100000'	;Internal RC oscillator 4 MHz


;----------------------------------------------------------
;		PORTA
tris_a	EQU	b'00000100'	;TRIS
pwon_a	EQU	b'00000000'	;power on state of PORTA

;#define	unused			PORTA,0		;17 
;#define	unused			PORTA,1		;18 
#define	in_start		PORTA,2		;1  
;#define	unused			PORTA,3		;2  
;#define	unused			PORTA,4		;3	
;#define	unused			PORTA,5		;4  MCLR
;#define	unused			PORTA,6		;15 
;#define	unused			PORTA,7		;16 

;A/D Converter (not used)
cANSEL		EQU	B'00000000'	;Abilitazione input analogici

cADCON0		EQU	B'10001000'	;0: enable conversion
					;1: unused
					;2: W1 = start / R = status
					;5-3: selezione canale di acqusizione
					;7-6: ADCS1-0 = base dei tempi

cADCON1		EQU	B'00000000'	;3-0: unused
					;5-4: A/D reference voltage - 00 = Vdd-Vss
					;6: ADCS2 = base dei tempi
					;7: ADFM=1 risultato giustificato verso il basso
;Base dei tempi A/D
;ADCS2-0 = 101	16 Tosc
;ADCS2-0 = 010	32 Tosc

;----------------------------------------------------------
;		PORTB
tris_b	equ	b'00000000'	;TRIS
pwon_b	equ	b'00000000'	;power on state of PORTB

;#define	unused			PORTB,0	;6
;#define unused			PORTB,1	;7
#define out_led				PORTB,2	;8
#define	out_audio			PORTB,3	;9	
;#define	unused			PORTB,4	;10
;#define	unused			PORTB,5	;11
;#define	icsp_pgc		PORTB,6	;12
;#define	icps_pgd		PORTB,7	;13
